import { FormatResult } from '../types';
import { LintConfig } from '../types/LintConfig';
/**
 * Applies automatic formatting to the file at the given path.
 * @param {string} filePath - the path to the file to be formatted.
 * @param {LintConfig} configuration - an optional configuration. When not passed in, this is read from the .sasjslint file.
 * @returns {Promise<FormatResult>} Resolves successfully when the file has been formatted.
 */
export declare const formatFile: (filePath: string, configuration?: LintConfig) => Promise<FormatResult>;
