import { FormatResult } from '../types';
import { LintConfig } from '../types/LintConfig';
/**
 * Automatically formats all SAS files in the folder at the given path.
 * @param {string} folderPath - the path to the folder to be formatted.
 * @param {LintConfig} configuration - an optional configuration. When not passed in, this is read from the .sasjslint file.
 * @returns {Promise<FormatResult>} Resolves successfully when all SAS files in the given folder have been formatted.
 */
export declare const formatFolder: (folderPath: string, configuration?: LintConfig) => Promise<FormatResult>;
