"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatProject = void 0;
const getProjectRoot_1 = require("../utils/getProjectRoot");
const formatFolder_1 = require("./formatFolder");
/**
 * Automatically formats all SAS files in the current project.
 * @returns {Promise<FormatResult>} Resolves successfully when all SAS files in the current project have been formatted.
 */
const formatProject = () => __awaiter(void 0, void 0, void 0, function* () {
    const projectRoot = (yield (0, getProjectRoot_1.getProjectRoot)()) || process.currentDir;
    if (!projectRoot) {
        throw new Error('SASjs Project Root was not found.');
    }
    console.info(`Formatting all .sas files under ${projectRoot}`);
    return yield (0, formatFolder_1.formatFolder)(projectRoot);
});
exports.formatProject = formatProject;
//# sourceMappingURL=formatProject.js.map