"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formatText_1 = require("./format/formatText");
const lint_1 = require("./lint");
const content = `%put 'Hello';   
%put 'World'; 
%macro somemacro()
  %put 'test';
%mend;\r\n`;
console.log(content);
(0, lint_1.lintText)(content).then((diagnostics) => {
    console.log('Before Formatting:');
    console.table(diagnostics);
    (0, formatText_1.formatText)(content).then((formattedText) => {
        (0, lint_1.lintText)(formattedText).then((newDiagnostics) => {
            console.log('After Formatting:');
            console.log(formattedText);
            console.table(newDiagnostics);
        });
    });
});
//# sourceMappingURL=formatExample.js.map