import { Diagnostic, LintConfig } from '../types';
/**
 * Analyses and produces a set of diagnostics for the file at the given path.
 * @param {string} filePath - the path to the file to be linted.
 * @param {LintConfig} configuration - an optional configuration. When not passed in, this is read from the .sasjslint file.
 * @returns {Promise<Diagnostic[]>} array of diagnostic objects, each containing a warning, line number and column number.
 */
export declare const lintFile: (filePath: string, configuration?: LintConfig) => Promise<Diagnostic[]>;
