import { LineEndings } from './LineEndings';
import { FileLintRule, LineLintRule, PathLintRule } from './LintRule';
import { Severity } from './Severity';
/**
 * LintConfig is the logical representation of the .sasjslint file.
 * It exposes two sets of rules - one to be run against each line in a file,
 * and one to be run once per file.
 *
 * More types of rules, when available, will be added here.
 */
export declare class LintConfig {
    readonly ignoreList: string[];
    readonly allowedGremlins: string[];
    readonly lineLintRules: LineLintRule[];
    readonly fileLintRules: FileLintRule[];
    readonly pathLintRules: PathLintRule[];
    readonly maxLineLength: number;
    readonly maxHeaderLineLength: number;
    readonly maxDataLineLength: number;
    readonly indentationMultiple: number;
    readonly lineEndings: LineEndings;
    readonly defaultHeader: string;
    readonly severityLevel: {
        [key: string]: Severity;
    };
    readonly requiredMacroOptions: string[];
    constructor(json?: any);
}
