import { LintConfig } from '../types/LintConfig';
import { LineEndings } from '../types/LineEndings';
export declare const getDefaultHeader: () => string;
/**
 * Default configuration that is used when a .sasjslint file is not found
 */
export declare const DefaultLintConfiguration: {
    lineEndings: LineEndings;
    noTrailingSpaces: boolean;
    noEncodedPasswords: boolean;
    hasDoxygenHeader: boolean;
    noSpacesInFileNames: boolean;
    lowerCaseFileNames: boolean;
    maxLineLength: number;
    maxHeaderLineLength: number;
    maxDataLineLength: number;
    noTabIndentation: boolean;
    indentationMultiple: number;
    hasMacroNameInMend: boolean;
    noNestedMacros: boolean;
    hasMacroParentheses: boolean;
    strictMacroDefinition: boolean;
    noGremlins: boolean;
    defaultHeader: string;
};
/**
 * Fetches the config from the .sasjslint file (at project root or home directory) and creates a LintConfig object.
 * Returns the default configuration when a .sasjslint file is unavailable.
 * @returns {Promise<LintConfig>} resolves with an object representing the current lint configuration.
 */
export declare function getLintConfig(): Promise<LintConfig>;
