"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listSasFiles = void 0;
const file_1 = require("@sasjs/utils/file");
/**
 * Fetches a list of .sas files in the given path.
 * @returns {Promise<string[]>} resolves with an array of file names.
 */
const listSasFiles = (folderPath) => __awaiter(void 0, void 0, void 0, function* () {
    const files = yield (0, file_1.listFilesInFolder)(folderPath);
    return files.filter((f) => f.endsWith('.sas'));
});
exports.listSasFiles = listSasFiles;
//# sourceMappingURL=listSasFiles.js.map